Zum Hauptinhalt springen

Cloud-Verwaltung

AWS-Konten Auflisten

GET /cloud/accounts

AWS-Konto Hinzufügen

POST /cloud/accounts

Verbindung Testen

POST /cloud/accounts/{account_id}/test

Kosten Abrufen

GET /cloud/costs?account_id={id}&start_date={date}&end_date={date}

ECS

Cluster Auflisten

GET /infrastructure/ecs/clusters?account_id={id}

Services Auflisten

GET /infrastructure/ecs/clusters/{cluster}/services?account_id={id}

Deployment Erzwingen

POST /infrastructure/ecs/services/{service}/deploy

Service Skalieren

POST /infrastructure/ecs/services/{service}/scale

Logs Abrufen

GET /infrastructure/ecs/services/{service}/logs

Lambda

Funktionen Auflisten

GET /infrastructure/lambda/functions?account_id={id}

Funktion Aufrufen

POST /infrastructure/lambda/functions/{name}/invoke

Logs Abrufen

GET /infrastructure/lambda/functions/{name}/logs

Deployments (Amplify)

Apps Auflisten

GET /deployments/apps

Deployment Auslösen

POST /deployments/apps/{app_id}/deploy

Build-Logs Abrufen

GET /deployments/apps/{app_id}/builds/{build_id}/logs